package constant

const (
	GameNodeType   = "db"
	Token          = "Token"
	RankKey        = "rank"
	CountryRankKey = "countryRank"
	PlayerBaseKey  = "playerBase"

	TotalUserKey = "totalUser"

	DrawHourKey   = "DrawHour"
	DrawDailyKey  = "drawDaily"
	DrawWeeklyKey = "drawWeekly"

	InviteKey            = "Invite"
	InviteTagKey         = "InviteTagKey"
	InviteScoreKey       = "InviteScore"
	InviteRatioRecordKey = "InviteRatioRecord"
	InviteNodeHistoryKey = "InviteNodeHistory"
	WeekItemRecordKey    = "WeekItemRecord"

	PlayerDailyKey      = "PlayerDaily"
	PlayerStatHKey      = "PlayerStat"
	PlayerLevelStatHKey = "PlayerLevelStat"
	ServerLoadHKey      = "ServerLoad"
	PlayerIpRecordKey   = "PlayerIpRecord"
	RocketLvKey         = "RocketLv"
	PlayerTotalKey      = "PlayerTotal"
	MoneyRatio          = 10000000

	AdminAccess    = "admin"
	NewPlayers     = "newPlayers"
	NewAccounts    = "newAccounts"
	TotalIncomeKey = "TotalIncome"
)

// 游戏表名
const (
	CNameAccount               = "account"           // 账号
	CNamePlayer                = "player"            // 玩家
	CNamePlayerReward          = "playerReward"      // 玩家奖励
	CNamePlayerDailyRecord     = "playerDailyRecord" // 玩家每日记录
	CNameCashOutRecord         = "cashOutRecord"     // 提现记录
	CNamePlayerLevelStat       = "playerLevelStat"   // 玩家等级统计
	CNameServerLoadStat        = "serverLoadStat"    // 服务器负载统计
	CNamePlayerCountryByIPStat = "playerCountryStat" //    玩家注册国家统计
)

// 榜单数据来源类型

const (
	RankSourceInvite = 2 // 邀请
	RankSourceRoll   = 3 // 抽奖次数
	RankSourceGold   = 1 // 金币
)

// roll 结果类型
const (
	RollSmallBet         = 0 // <9
	RollBigBet           = 1 // >=9
	RollDoubleBet        = 2 // 对子
	RollTripleBet        = 3 // 豹子2345
	RollSpecialTripleBet = 4 // 豹子16
)
